# Uses of Interface
javax.print.attribute.PrintServiceAttributeSet

Packages that use PrintServiceAttributeSet
Package
Description
javax.print
Provides the principal classes and interfaces for the Java Print Service API.
javax.print.attribute
Provides classes and interfaces that describe the types of Java Print Service attributes and how they can be collected into attribute sets.
javax.print.event
Package `javax.print.event` contains event classes and listener interfaces.

## Uses of PrintServiceAttributeSet in javax.print

Methods in javax.print that return PrintServiceAttributeSet
Modifier and Type
Method
Description
`PrintServiceAttributeSet`
PrintService.`getAttributes()`
Obtains this print service's set of printer description attributes giving this Print Service's status.

## Uses of PrintServiceAttributeSet in javax.print.attribute

Classes in javax.print.attribute that implement PrintServiceAttributeSet
Modifier and Type
Class
Description
`class`
`HashPrintServiceAttributeSet`
Class `HashPrintServiceAttributeSet` provides an attribute set which inherits its implementation from class `HashAttributeSet` and enforces the semantic restrictions of interface `PrintServiceAttributeSet`.
Methods in javax.print.attribute that return PrintServiceAttributeSet
Modifier and Type
Method
Description
`static PrintServiceAttributeSet`
AttributeSetUtilities.`synchronizedView(PrintServiceAttributeSet attributeSet)`
Creates a synchronized view of the given print service attribute set.
`static PrintServiceAttributeSet`
AttributeSetUtilities.`unmodifiableView(PrintServiceAttributeSet attributeSet)`
Creates an unmodifiable view of the given print service attribute set.
Methods in javax.print.attribute with parameters of type PrintServiceAttributeSet
Modifier and Type
Method
Description
`static PrintServiceAttributeSet`
AttributeSetUtilities.`synchronizedView(PrintServiceAttributeSet attributeSet)`
Creates a synchronized view of the given print service attribute set.
`static PrintServiceAttributeSet`
AttributeSetUtilities.`unmodifiableView(PrintServiceAttributeSet attributeSet)`
Creates an unmodifiable view of the given print service attribute set.
Constructors in javax.print.attribute with parameters of type PrintServiceAttributeSet
Modifier
Constructor
Description
``
`HashPrintServiceAttributeSet(PrintServiceAttributeSet attributes)`
Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `PrintServiceAttribute` interface.

## Uses of PrintServiceAttributeSet in javax.print.event

Methods in javax.print.event that return PrintServiceAttributeSet
Modifier and Type
Method
Description
`PrintServiceAttributeSet`
PrintServiceAttributeEvent.`getAttributes()`
Determine the printing service attributes that changed and their new values.
Constructors in javax.print.event with parameters of type PrintServiceAttributeSet
Modifier
Constructor
Description
``
`PrintServiceAttributeEvent(PrintService source, PrintServiceAttributeSet attributes)`
Constructs a `PrintServiceAttributeEvent` object.